MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027755Open CASCADE[OCCT] OCCT:Visualizationpublic2016-08-06 19:472017-05-10 19:36
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027755: Visualization, V3d_View::ToPixMap() - fix image dump with MSAA turned on
DescriptionV3d_View::ToPixMap() has several issues when MSAA and/or stereo is turned on.
Steps To Reproduce
pload MODELING VISUALIZATION
box b 1 2 3
vclear
vinit name=View1 width=512 height=512
vdisplay -dispMode 1 b
vfit
vrenderparams -msaa 8
vdump image1.png
# dump is OK
vdump image1.png -width 1920 -height 1080
# dump is black
TagsNo tags attached.
Test case numberv3d glsl msaa
Attached Files

- Relationships
related to 0023525closedkgv Disappearing of highlight in screenshot 
related to 0026711closedbugmaster Visualization, TKOpenGl - support creation of multisampling off-screen FBOs 

-  Notes
(0056528)
git (administrator)
2016-08-06 19:59

Branch CR27755 has been created by kgv.

SHA-1: 0ceaa13b287b255b5d14ac85484b7fa675bd9dbf


Detailed log of new commits:

Author: kgv
Date: Sat Aug 6 19:59:24 2016 +0300

    0027755: Visualization - remove obsolete method Graphic3d_CView::SetImmediateModeDrawToFront()
(0056529)
kgv (developer)
2016-08-06 20:11

Patch is ready for review.
(0056530)
git (administrator)
2016-08-07 12:06

Branch CR27755_1 has been created by kgv.

SHA-1: 7684ec0e2d57c36c2834f61ae62f3f4ff0242c0b


Detailed log of new commits:

Author: kgv
Date: Sun Aug 7 12:05:39 2016 +0300

    0027755: Visualization, V3d_View::ToPixMap() - fix image dump with MSAA turned on
    
    OpenGl_View::Redraw() now handles correctly myTransientDrawToFront
    with MSAA turned on and resolution not equal to window size.
(0056580)
san (developer)
2016-08-08 22:57

Branch CR27755_1 reviewed without remarks, ready for testing.
(0056594)
git (administrator)
2016-08-09 14:29

Branch CR27755_1 has been updated forcibly by apv.

SHA-1: 3d9f10e14c0caf121f9f70e5b4d522ad41c52e43
(0056595)
apv (tester)
2016-08-09 14:30

Branch CR27755_1 has been rebased on the current master.
(0056614)
apv (tester)
2016-08-10 12:28

Dear BugMaster,

Branch CR27755_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 3d9f10e14c0caf121f9f70e5b4d522ad41c52e43

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1140

Regressions/Differences:
Not detected

Testing cases:
v3d glsl msaa - OK
http://occt-tests/CR27755_1-master-OCCT/Debian70-64/v3d/glsl/msaa.html [^]
http://occt-tests/CR27755_1-master-OCCT/Windows-64-VC10/v3d/glsl/msaa.html [^]

Testing on Linux:
Total MEMORY difference: 88912046 / 88469340 [+0.50%]
Total CPU difference: 19361.860000000048 / 19249.11000000006 [+0.59%]

Testing on Windows:
Total MEMORY difference: 57138429 / 57173794 [-0.06%]
Total CPU difference: 17978.9280487989 / 18044.994472298804 [-0.37%]
(0057152)
git (administrator)
2016-08-26 16:23

Branch CR27755_1 has been deleted by inv.

SHA-1: 3d9f10e14c0caf121f9f70e5b4d522ad41c52e43
(0057155)
git (administrator)
2016-08-26 16:24

Branch CR27755 has been deleted by inv.

SHA-1: 0ceaa13b287b255b5d14ac85484b7fa675bd9dbf

- Related Changesets
occt: master 521b0d7f
Timestamp: 2016-08-07 09:05:39
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027755: Visualization, V3d_View::ToPixMap() - fix image dump with MSAA turned on

OpenGl_View::Redraw() now handles correctly myTransientDrawToFront
with MSAA turned on and resolution not equal to window size.
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - tests/v3d/glsl/msaa Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-08-06 19:47 kgv New Issue
2016-08-06 19:47 kgv Assigned To => kgv
2016-08-06 19:59 git Note Added: 0056528
2016-08-06 20:11 kgv Note Added: 0056529
2016-08-06 20:11 kgv Assigned To kgv => san
2016-08-06 20:11 kgv Status new => resolved
2016-08-06 20:19 kgv Relationship added related to 0023525
2016-08-06 20:57 kgv Steps to Reproduce Updated View Revisions
2016-08-07 12:04 kgv Severity integration request => minor
2016-08-07 12:04 kgv Product Version => 7.0.0
2016-08-07 12:04 kgv Summary Visualization - remove obsolete method Graphic3d_CView::SetImmediateModeDrawToFront() => Visualization, V3d_View::ToPixMap() - fix image dump with MSAA turned on
2016-08-07 12:06 git Note Added: 0056530
2016-08-07 12:12 kgv Description Updated View Revisions
2016-08-08 22:57 san Note Added: 0056580
2016-08-08 22:57 san Assigned To san => bugmaster
2016-08-08 22:57 san Status resolved => reviewed
2016-08-09 10:12 kgv Relationship added related to 0026711
2016-08-09 11:10 apv Assigned To bugmaster => apv
2016-08-09 14:29 git Note Added: 0056594
2016-08-09 14:30 apv Note Added: 0056595
2016-08-10 10:14 apv Test case number => v3d glsl msaa
2016-08-10 12:28 apv Note Added: 0056614
2016-08-10 12:28 apv Assigned To apv => bugmaster
2016-08-10 12:28 apv Status reviewed => tested
2016-08-12 10:48 bugmaster Changeset attached => occt master 521b0d7f
2016-08-12 10:48 bugmaster Status tested => verified
2016-08-12 10:48 bugmaster Resolution open => fixed
2016-08-26 16:23 git Note Added: 0057152
2016-08-26 16:24 git Note Added: 0057155
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker